MediaWiki:Gadget-Popups.css

.popupMoreLink {
  display: block;
  text-align: right;
  cursor: pointer;
}

.popupDiff {
	color: var(--color-base, black);
}
ins.popupDiff {
	background: var(--background-color-content-added, #afe);
	color: var(--color-content-added);
}
del.popupDiff {
	background: var(--background-color-destructive-subtle, #ffe6e6);
	color: var(--color-content-removed);
}

#selectionPreview {
  border: 2px solid #ddd;
  background-color: #eef;
  padding: 6px;
}

.navpopup {
	border: 1px solid var(--color-subtle, #bbb);
	background-color: var(--background-color-base, #fff);
	color: var(--color-base, black);
  padding: 10px;
  padding-bottom: 5px;
  font-size: 11px;
  box-shadow: 0 3px 8px rgba( 50, 50, 50, 0.35 );
  word-wrap: break-word;
}

.navpopup hr {
	color: #aaa !important;
	background-color: #aaa !important;
}

/* Configure Drag bar color */
.popupDrag {
  background-color: #ffbe20;
  height: 5px;
  margin-top: -5px;
  margin-bottom: 5px;
}

.popupDragHandle {
  cursor: move;
  position: relative;
}

/* menu magic - many thanks to [[User:Zocky]]! */

/* popups */
.popup_menu {
  display: none;
  position: absolute;
  left: 0;
  margin: 0;
  margin-top: 1.4em;
  line-height: 1.25em;
  top: 0;
  z-index: 2;
  width: 10em;
	background: var(--background-color-base, #fff);
	border: 1px solid grey;
  padding: 0 !important;
  margin-left: -6px;
  border-width: 1px 1px 1px 6px;
}

.popup_menu li { /* both: popup_menu_row and popup_menu_item */
  list-style: none;
  margin:0;
  padding:0;
}

.popup_menu a {
  display: block;
  padding: 3px;
	color: var(--color-base--subtle, #555);
}

.popup_menu_row a {
  display: inline-block;
}

.popup_menu_row {
	color: #aaa;
}

.popup_drop {
  display: inline;
  position: relative;
}

.popup_drop a,
.popup_drop a:visited {
  padding: 3px;
  margin: 0;
  font-weight: bold;
	color: var(--color-progressive--active, #0645ad);
}

.popup_drop:hover .popup_menu,
.popup_drop .popup_menu:hover {
  display: inline;
  padding: 2px;
	background: var(--background-color-base, white);
	color: var(--color-base--subtle, #555);
}

.popup_drop:hover {
	background: var(--background-color-progressive-subtle--active, #ccf);
	color: var(--color-progressive, #44f);
}

/* other colours, styles and so on */
.popup_menu a:hover {
	background: grey;
	color: var(--color-inverted, #fff);
  text-decoration: none;
}

/* page title */
.popup_mainlink {
  font-size: 140%;
  font-weight: bold;
}

.popup_mainlink a {
	color: var(--color-base, black);
}

/* extra for long page titles (e.g. links to anchors) */
.popup_mainlink a {
	display: inline-block;
	overflow-wrap: anywhere;
	word-break: break-all;
	white-space: normal;
	/* with img */
	max-width: calc(100% - 60px);
}

a.popup_change_title_link {
  color: #152;
}
html.skin-theme-clientpref-night a.popup_change_title_link {
	color: #2a3;
}

.popup_diff_dates {
  font-style: italic;
  background: none;
}

.popup_menu_item a {
  display: block;
}

.popup_history_row_even {
	background: var(--background-color-neutral);
}

.popup_history_date {
  font-weight: bold;
  font-size: 120%;
}
/*
	Important for history preview when summaries are all empty;
	e.g. https://en.wikipedia.org/w/index.php?title=User:GWicke/sw.js
	The path is:
	.popupPreview > table > tbody > tr:is(.popup_history_row_odd, .popup_history_row_even)
*/
.popupPreview > table,
.popupPreview > table > tbody {
	display: block;
}
.popup_history_row_odd,
.popup_history_row_even {
	display: flex;
}

.popup_history_row_even td:nth-child(3),
.popup_history_row_odd td:nth-child(3) {
	flex: 3;
	word-break: break-word;
}
.popup_history_row_even td:nth-child(4),
.popup_history_row_odd td:nth-child(4) {
	flex: 7;
	word-break: break-word;
}
.popup_history_row_even > td:not(:last-child),
.popup_history_row_odd > td:not(:last-child) {
	margin-right: 2px;
}

/* disable interwiki styling */
.popupPreview a.extiw,
.popupPreview a.extiw:active {
	color: var(--color-progressive, #36b);
	background: none;
  padding: 0;
}

.popupPreview .external {
	color: var(--color-progressive, #36b);
}

/* this can be used in the content area to switch off
special external link styling */
.popupPreview .plainlinks a {
	background: none !important;
  padding: 0 !important;
}

/*
	Mouse safe zones for popup menu.
*/
/* eye guide suggestion */	
.popup_menu:hover
{
	box-shadow: 0 0 5px 5px rgba(179, 179, 255, 0.3)
}
/* trapezoid guide for the cursor */	
.popup_menu::before {
	content: '';
	display: block;
	position: absolute;
	height: 1.5em;
	top: -1.4em;
	left: -1.2em;
	width: calc(2 * var(--navpop-m-len, 6ch));
	transform: perspective(1px) rotateX(1deg);
}
/* make the trapezoid go behing menu items */
.popup_menu::before {
	z-index: 1;
}
.popup_menu li {
	position: relative;
	z-index: 2;
}

/* additional hover margin on the sides */
.popup_menu li::before {
	content: '';
	display: block;
	position: absolute;
	top: 0;
	height: calc(100% + .5em);
	left: -1.7em;
	width: 1.7em;
}
.popup_menu li::after {
	content: '';
	display: block;
	position: absolute;
	top: 0;
	height: calc(100% + .5em);
	left: calc(10em - 1px);	/* depends on the width of the menu */
	width: 1em;
}

/* Dark mode: extra for images */
html.skin-theme-clientpref-night .popupImage img[src$=png] {
	filter: invert();
}

Content Disclaimer

Informasi ini disarikan dari Wikipedia dan disajikan kembali untuk tujuan edukasi. Konten tersedia di bawah lisensi CC BY-SA 3.0. Kami tidak bertanggung jawab atas ketidakakuratan data yang bersumber dari kontribusi publik tersebut.

  1. The information displayed on this website is sourced in part or in whole from Wikipedia and has been adapted for the purpose of restating it. We strive to provide accurate and relevant information, however:
  2. There is no guarantee of absolute accuracy. Wikipedia is an open, collaborative project that can be edited by anyone, so information is subject to change.
  3. It is not intended to constitute professional advice. The content displayed is for informational and educational purposes only. For important decisions (e.g., medical, legal, or financial), please consult a professional.
  4. Content copyright. Wikipedia is licensed under the Creative Commons Attribution-ShareAlike License (CC BY-SA). This means that content may be reused with appropriate attribution and shared under a similar license.
  5. Responsible use. Any risk arising from the use of information from this website is entirely the responsibility of the user.
Kembali kehalaman sebelumnya